Package org.flowable.bpmn.model

# Class TerminateEventDefinition

java.lang.Object
org.flowable.bpmn.model.BaseElement
org.flowable.bpmn.model.EventDefinition
org.flowable.bpmn.model.TerminateEventDefinition

All Implemented Interfaces:
  `HasExtensionAttributes`

public class TerminateEventDefinition extends EventDefinition

Author:
  Tijs Rademakers, Joram Barrez

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected boolean`
  `terminateAll`
  When true, this event will terminate all parent process instances (in the case of using call activity), thus ending the whole process instance.
  `protected boolean`
  `terminateMultiInstance`
  When true (and used within a multi instance), this event will terminate all multi instance instances of the embedded subprocess/call activity this event is used in.

  ### Fields inherited from class org.flowable.bpmn.model.BaseElement

  `attributes, extensionElements, id, xmlColumnNumber, xmlRowNumber`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TerminateEventDefinition()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TerminateEventDefinition`
  `clone()`
  `boolean`
  `isTerminateAll()`
  `boolean`
  `isTerminateMultiInstance()`
  `void`
  `setTerminateAll(boolean terminateAll)`
  `void`
  `setTerminateMultiInstance(boolean terminateMultiInstance)`
  `void`
  `setValues(TerminateEventDefinition otherDefinition)`

  ### Methods inherited from class org.flowable.bpmn.model.BaseElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getExtensionElements, getId, getXmlColumnNumber, getXmlRowNumber, setAttributes, setExtensionElements, setId, setValues, setXmlColumnNumber, setXmlRowNumber`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### terminateAll

    protected boolean terminateAll
    When true, this event will terminate all parent process instances (in the case of using call activity), thus ending the whole process instance. By default false (BPMN spec compliant): the parent scope is terminated (subprocess: embedded or call activity)

  - ### terminateMultiInstance

    protected boolean terminateMultiInstance
    When true (and used within a multi instance), this event will terminate all multi instance instances of the embedded subprocess/call activity this event is used in. In case of nested multi instance, only the first parent multi instance structure will be destroyed. In case of 'true' and not being in a multi instance construction: executes the default behavior. Note: if terminate all is set to true, this will have precedence over this.

- ## Constructor Details

  - ### TerminateEventDefinition

    public TerminateEventDefinition()

- ## Method Details

  - ### clone

    public TerminateEventDefinition clone()
    Specified by:
      `clone` in class `EventDefinition`

  - ### setValues

    public void setValues(TerminateEventDefinition otherDefinition)

  - ### isTerminateAll

    public boolean isTerminateAll()

  - ### setTerminateAll

    public void setTerminateAll(boolean terminateAll)

  - ### isTerminateMultiInstance

    public boolean isTerminateMultiInstance()

  - ### setTerminateMultiInstance

    public void setTerminateMultiInstance(boolean terminateMultiInstance)